Subject: [Ietf-calsify] Proposed Charter

From: leifj at it.su.se (Leif Johansson)
Date: Sun Apr 3 03:14:05 2005

Doug Royer wrote:
> 
> I think this is great and THANKS for the hard work!
> 

I hope the silence from others is an indication that everybody else
thinks this is ok aswell.

	MVH leifj

---

From: mvl at exedo.nl (Michiel van Leeuwen)
Date: Sun Apr 3 11:32:53 2005

Lisa Dusseault wrote:
> (3) Clarify the registration process for iCalendar extensions (i.e.,
>     the current core object specification only provides a template
>     to register new properties).

This looks like it is part of a possible solution, using extensions, 
instead of a goal in itself. The goal is to solve interop issues, and it 
might turn out that extensions are a solution. But using extensions 
should not be the goal, so should not be in the charter imo.
(and i don't like the use of extensions, but that's another discussion)

Michiel

---

From: sroberts at uniserve.com (Sam Roberts)
Date: Sun Apr 3 12:48:57 2005

I like this as a charter. I agree the icalendar extension registration
kindof depends on a need for extensions, and that would be a new
mechanism. I'd like to see work on clarifying what we have now first,
and work on new stuff later.

I'd like to clarify - I read this as meaning that we aren't going to
start throwing stuff out of iCalendar if it has been implemented
interoperably by several independent groups.

Am I reading into it what I want to read, or is this what was intended?

Cheers,
Sam

Quoting lisaatosafoundation.org, on Mon, Mar 28, 2005 at 09:55:45PM +0000:
> Based on the discussion at the Calsify BOF in Minneapolis, a bunch of 
> us (those who volunteered at the time) have worked on the draft WG 
> charter below.
> 
> Some notes:
>   - The iCalendar revision work, although it  may be challenging work, 
> is at least well understood in terms of scope and deliverables.
>   - The transition work which I attempted to characterize in a separate 
> email is not so well scoped out and it's not clear yet what specific 
> proposals might emerge, if any, so this charter would need to be 
> revised when the specific proposals become clear or do not appear after 
> a period.
>   - The XML work which seemed to be supported in the BOF (but nobody 
> actually took consensus) was not supported in the group of people 
> working on this charter, so it appears as "out of scope".
> 
> -- Lisa 
> 
> ----
> 
> Calendaring and Scheduling Standards Simplification (calsify)
> 
> Chair(s):
> TBD
> 
> Applications Area Director(s):
> 
> Ted Hardie <[email-masked]>
> Scott Hollenbeck <[email-masked]>
> 
> Mailing Lists:
> 
> General Discussion: [email-masked]
> To Subscribe: 
> http://lists.osafoundation.org/mailman/listinfo/ietf-calsify
> Archive: http://lists.osafoundation.org/pipermail/ietf-calsify/
> 
> Description of Working Group:
> 
> The Calendaring and Scheduling standards, defined in RFC's 2445, 2446,
> and 2447 were released in November 1998, and further described in RFC
> 3283.  They were designed to progress the level of interoperability
> between dissimilar calendaring and scheduling systems. The Calendaring
> and Scheduling Core Object Specification, iCalendar, succeeded in
> establishing itself as the common format for exchanging calendaring
> information across the Internet. On the other hand, only basic
> interoperability as been achieved between different scheduling
> systems.
> 
> The Calsify working group is chartered to:
> 
> (1) Publish the interoperability issues that have arisen between
>      calendaring and scheduling systems, as well as document the usage of
>      iCalendar by other specifications.
> 
> (2) Revise the Calendaring and Scheduling standards to advance the
>      state of interoperable calendaring and scheduling by addressing
>      the published interoperability issues. As far as it is possible,
>      the working group will ensure backwards compatibility with widely
>      deployed implementations and other specifications that use it.
> 
> (4) Advance the Calendaring and Scheduling standards to Draft Standard.
> 
> (5) Work on transition (upgrade or versioning) mechanisms for calendar
>      data exchange.
> 
> Proposing an XML representation or transformation of iCalendar
> objects is out of the scope of this working group.
> 
> Goals and Milestones:
> 
> TBD - Submit "Problems in Calendaring and Scheduling Standards".
> TBD - Submit RFC2445bis.
> TBD - Submit other revised documents.

---

From: lisa at osafoundation.org (Lisa Dusseault)
Date: Sun Apr 3 14:09:54 2005

Hi Michiel,

The existing calendar specifications (RFC2445) already have the ability 
to add extensions.  Part of standard IETF practice is to have a way to 
register extensions.  So this goal is part of being more rigorous about 
a solution that's already in place.

thanks,
Lisa

On Apr 3, 2005, at 11:24 AM, Michiel van Leeuwen wrote:

> instead of a goal in itself. The goal is to solve interop issues, and 
> it might turn out that extensions are a solution. But using extensions 
> _______________________________________________
> Ietf-calsify mailing list
> [email-masked]